Shapefiles, big integer fields, values are set negative when too big

2014-05-06 01:53 AM - Jean-Luc Le Bliguet

Status: Closed

Priority: Normal

Assignee:

Category: Attribute table

Affected QGIS version:2.2.0 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 18639

Description

I am unable to edit integer fields (type Numeric, 15 digits). When I try to enter a big value, e.g. 12500201223125, it is saved as

-2147483648. The same apply when saving as, all the big values are converted to -2147483648.

This bug causes corruption of attribute tables.

Version de QGIS    2.2.0-Valmiera                    Révision du code    c3a2817

Compilé avec Qt    4.7.1                            Utilisant Qt    4.7.1

Compilé avec GDAL/OGR    1.10.1                    Utilisé avec GDAL/OGR    1.10.1

Compilé avec GEOS    3.4.2-CAPI-1.8.2    Utilisé avec GEOS    3.4.2-CAPI-1.8.2 r3921

Version du client PostgreSQL    8.3.10            Version de SpatiaLite    4.1.1

Version de QWT    5.2.1                            Version de PROJ.4 :    480

Version de QScintilla2    2.6.2

History

#1 - 2014-05-06 02:38 AM - Giovanni Manghi

- Resolution set to duplicate

- Status changed from Open to Closed

duplicates #4955 and #4766

please add you comments/dataset there, thanks!

#2 - 2014-05-16 06:23 AM - Marcel Proust

test

Files

test_entiers_longs.zip 1.7 KB 2014-05-05 Jean-Luc Le Bliguet
